EDIT: This post was edited on 8/13/2007 to add a section about domain controller OS version.

If you haven't heard, Service Pack 2 for Windows Server 2003 is now available. In the final few months leading up to the RTM of Exchange 2007, we performed automated testing of Exchange 2007 with Windows 2003 SP2. Once Exchange 2007 was RTM, we continued to test. Service Pack 2 for Windows 2003 provides additional language support for Exchange 2007. In addition, you'll also find that the installation experience of Exchange 2007 is more streamlined because many of the updates that are required for Exchange 2007 (for example, Microsoft Management Console 3.0) are built into SP2; as a result, you don't need to download and install these individual components. And of course, administrators will have the benefit of running the latest version of Windows Server 2003 to ensure their system is fully patched and up-to-date.

Exchange Server 2007 Service Pack 1 System Requirements

We've received a lot of great feedback and positive responses regarding the blog post on Exchange 2007 SP1.  Some customers and administrators are wondering if we're changing any of the system requirements for SP1.  As far as hardware requirements are concerned, SP1 will not change the existing Exchange 2007 RTM system requirements.

Regarding the operating system, SP1 for Exchange 2007 will require Windows Server 2003 SP2.  This will be a hard dependency for installation, so the operating system must be upgraded to Windows Server 2003 SP2 before you upgrade the Exchange 2007 RTM installation to Exchange 2007 SP1, or before installing a fresh build of Exchange 2007 SP1.

Exchange 2007 SP1 does not place new operating system version requirements on your domain controllers / global catalog servers. Windows 2003 SP1 is still required as it was in Exchange 2007 RTM version. The use of some optional features such as RMS (Rights Management Service) might require Windows 2003 SP2 on DC/GC as they rely on updated operating system components. Please consult documentation for details.

Additional note: While Exchange 2007 is compatible with Windows Server 2003 SP2, please make sure that any 3rd party software or hardware you use is also compatible before deploying, by checking the vendor's web site.

- Ed Banti